Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1335796 - rpc related core seen in build - glusterfs-3.7.9-4.el7rhgs.x86_64
Summary: rpc related core seen in build - glusterfs-3.7.9-4.el7rhgs.x86_64
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rpc
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Milind Changire
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-13 08:52 UTC by krishnaram Karthick
Modified: 2020-09-28 03:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-16 18:17:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description krishnaram Karthick 2016-05-13 08:52:59 UTC
Description of problem:

RPC related core seen on a test system configured with tier volume. Unfortunately no logs or steps to reproduce are available as this was generated more than a day back.

Filing this bug anyway, as we have backtrace available.

#0  0x00007f5c1cd8aa17 in list_add (head=0x7f5c1e78ecb8, new=0x7f5c1e79b4c0) at list.h:33
#1  __iobuf_get (iobuf_arena=0x7f5c1e78ec60, page_size=page_size@entry=128) at iobuf.c:565
#2  0x00007f5c1cd8b14d in iobuf_get2 (iobuf_pool=0x7f5c1e78ee10, page_size=<optimized out>) at iobuf.c:669
#3  0x00007f5c119daac1 in __socket_proto_state_machine (pollin=<synthetic pointer>, this=0x7f5c1e7f6050)
    at socket.c:2196
#4  socket_proto_state_machine (pollin=<synthetic pointer>, this=0x7f5c1e7f6050) at socket.c:2331
#5  socket_event_poll_in (this=this@entry=0x7f5c1e7f6050) at socket.c:2347
#6  0x00007f5c119dd604 in socket_event_handler (fd=fd@entry=9, idx=idx@entry=1, data=0x7f5c1e7f6050, poll_in=1, 
    poll_out=0, poll_err=0) at socket.c:2464
#7  0x00007f5c1cdb7b9a in event_dispatch_epoll_handler (event=0x7f5c0fd00e80, event_pool=0x7f5c1e7aacb0)
    at event-epoll.c:575
#8  event_dispatch_epoll_worker (data=0x7f5c1e7f8980) at event-epoll.c:678
#9  0x00007f5c1bbb1dc5 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f5c1b4f728d in clone () from /lib64/libc.so.6


Version-Release number of selected component (if applicable):
glusterfs-server-3.7.9-4.el7rhgs.x86_64

How reproducible:
seen once

Steps to Reproduce:
Yet to determine

Actual results:


Expected results:


Additional info:
core dump shall be attached shortly.

Comment 2 Atin Mukherjee 2016-05-13 15:50:14 UTC
Karthick,

Just a backtrace wouldn't help here as the reproducer is not available as well. Do you have the core file, if so please attach. Otherwise we'd not have any choice to close this bug and later if you hit it the same bug can be reopened. Does it make sense?

~Atin

Comment 6 krishnaram Karthick 2020-09-28 03:00:49 UTC
clearing stale needinfos.


Note You need to log in before you can comment on or make changes to this bug.